roar_vs_new(3)

NAME
roar_vs_stream, roar_vs_new_from_con - Create new VS objects

SYNOPSIS

#include <roaraudio.h>

roar_vs_t * roar_vs_new(const char * server, const char * name, int * error);

roar_vs_t * roar_vs_new_from_con(struct roar_connection * con, int * error);

DESCRIPTION
These calls are used to create new VS objects without a yet connected data connection. They are only helpful if there you want to share a control connection between multiple streams (generally recommended if using multiple streams to the same server) or need to use some extended parts of the VS API. If you look for a easy way to open a stream see roar_vs_new_simple(3) and roar_vs_new_from_file(3).

roar_vs_new() opens a new control connection to server server. name is used as application name.

roar_vs_new_from_con() creates a new VS object from the extsing control connection con.

VS objects created via roar_vs_new_from_con() will not close the control connection on roar_vs_close(3).

PARAMETERS

server
    The server to connect to. NULL for defaults.

name
    The application name. This should be something the user can use to identify the application. It MUST NOT be the application's binary name or the value of argv[0].

con The already existing and open control connection to use.

error
    This is a pointer to a integer used to store the error value in case of error. This can be NULL if not used but it is very recommended to use this error value to report good error messages to the user.

RETURN VALUE
On success these calls return a new VS object. On error, NULL is returned.

EXAMPLES
FIXME

SEE ALSO
roar_vs_new_simple(3), roar_vs_new_from_file(3), roar_vs_close(3), roarvs(7), libroar(7), RoarAudio(7).